/******************************************************************************************
 * Repository: Conhos vscode
 * File name: lib.ts
 * Author: Sergey Kolmiller
 * Email: <kolserdav@conhos.ru>
 * License: MIT
 * License text: See LICENSE file
 * Copyright: kolserdav, All rights reserved (c)
 * Create Date: Tue Sep 10 2024 16:42:55 GMT+0700 (Krasnoyarsk Standard Time)
 ******************************************************************************************/
import { CheckConfigResult, ConfigFile, DeployData, GitType, ServiceSize, ServiceType, ServiceTypeCommon, ServiceTypeCommonPublic, ServiceTypeCustom, Volumes, WSMessageCli, WSMessageDataCli } from '..';
export declare function computeCostService(serviceSize: ServiceSize, { sizes, baseCost, baseValue }: Omit<WSMessageDataCli['deployData'], 'services' | 'nodePublic'>): {
    month: number;
    hour: number;
    minute: number;
} | null;
export declare function parseMessageCli<T extends keyof WSMessageDataCli>(msg: string): WSMessageCli<T> | null;
export declare const isCustomService: (type: ServiceType) => ServiceTypeCustom | null;
export declare const isCommonService: (type: ServiceType) => ServiceTypeCommon | null;
export declare const findEnvironmentValue: (environment: string[], name: string) => string | null;
export declare const checkRecord: (record: Record<string, string | null>, name: string) => boolean;
export declare const parseEnvironmentVariable: (variable: string) => {
    name: string;
    value: string;
} | null;
export declare const checkEnvironmentRequired: (name: string) => boolean;
export declare const isCommonServicePublic: (type: ServiceType) => null | ServiceTypeCommonPublic;
export declare const getServiceBySize: (sizes: DeployData["sizes"], size: ServiceSize) => {
    name: string;
    memory: {
        name: string;
        value: number;
    };
    cpus: number;
    storage: string;
    ports: number;
} | undefined;
export declare function checkConfig<S extends boolean>({ config, configText }: {
    config: ConfigFile;
    configText: string;
}, { deployData, isServer }: {
    deployData: DeployData;
    isServer: S;
}): Promise<CheckConfigResult[]>;
export declare function checkGitType(url: string): GitType | null;
export declare function cleanGitPostfix(url: string): string;
interface ParsedGitRepo {
    user: string;
    project: string;
}
export declare function parseGitUrl(url: string): ParsedGitRepo | null;
export declare function clearRelPath(url: string): string;
export declare function changeConfigFileVolumes({ config, userId }: {
    config: ConfigFile;
    userId: string;
}, volumes?: Volumes | undefined): Promise<{
    config: ConfigFile;
    volumes: Volumes | undefined;
    error: string | null;
}>;
export {};
